Closed Bug 1897440 Opened 1 month ago Closed 28 days ago

Perma /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" when Gecko 128 merges to beta on 2024-06-10

Categories

(Core :: Disability Access APIs, defect)

defect

Tracking

()

VERIFIED FIXED
128 Branch
Tracking Status
firefox-esr115 --- unaffected
firefox126 --- unaffected
firefox127 --- unaffected
firefox128 + verified

People

(Reporter: nataliaCs, Assigned: aryx)

References

(Regression)

Details

(Keywords: regression)

Attachments

(1 file)

[task 2024-05-17T11:29:24.788Z] 11:29:24     INFO - TEST-PASS | /accname/name/comp_name_from_content.html | link name from content with ::before and ::after in rtl 
[task 2024-05-17T11:29:24.788Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" data-testname="button name from fallback content with ::before and ::after" class="ex fallback-before fallback-after">label</button> expected "alt-before label alt-after" but got "before label after"
[task 2024-05-17T11:29:24.788Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.794Z] 11:29:24     INFO - 
[task 2024-05-17T11:29:24.795Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | heading name from fallback content with ::before and ::after - assert_equals: <h3 data-expectedlabel="alt-before label alt-after" data-testname="heading name from fallback content with ::before and ::after" class="ex fallback-before fallback-after">label</h3> expected "alt-before label alt-after" but got "before label after"
[task 2024-05-17T11:29:24.799Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - 
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | link name from fallback content with ::before and ::after - assert_equals: <a href="#" data-expectedlabel="alt-before label alt-after" data-testname="link name from fallback content with ::before and ::after" class="ex fallback-before fallback-after">label</a> expected "alt-before label alt-after" but got "before label after"
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - 
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | button name from fallback content mixing attr() and strings with ::before and ::after - assert_equals: <button data-alt-text-before="alt-before" data-alt-text-after="alt-after" data-expectedlabel="start alt-before end label start alt-after end" data-testname="button name from fallback content mixing attr() and strings with ::before and ::after" class="ex fallback-before-mixed fallback-after-mixed">label</button> expected "start alt-before end label start alt-after end" but got "before label after"
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - 
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | heading name from fallback content mixing attr() and strings with ::before and ::after - assert_equals: <h3 data-alt-text-before="alt-before" data-alt-text-after="alt-after" data-expectedlabel="start alt-before end label start alt-after end" data-testname="heading name from fallback content mixing attr() and strings with ::before and ::after" class="ex fallback-before-mixed fallback-after-mixed">label</h3> expected "start alt-before end label start alt-after end" but got "before label after"
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.800Z] 11:29:24     INFO - 
[task 2024-05-17T11:29:24.801Z] 11:29:24     INFO - TEST-UNEXPECTED-FAIL | /accname/name/comp_name_from_content.html | link name from fallback content mixing attr() and strings with ::before and ::after - assert_equals: <a href="#" data-alt-text-before="alt-before" data-alt-text-after="alt-after" data-expectedlabel="start alt-before end label start alt-after end" data-testname="link name from fallback content mixing attr() and strings with ::before and ::after" class="ex fallback-before-mixed fallback-after-mixed">label</a> expected "start alt-before end label start alt-after end" but got "before label after"
[task 2024-05-17T11:29:24.801Z] 11:29:24     INFO - verifyLabelsBySelector/<@http://web-platform.test:8000/wai-aria/scripts/aria-utils.js:161:22
[task 2024-05-17T11:29:24.810Z] 11:29:24     INFO - ............................
[task 2024-05-17T11:29:24.810Z] 11:29:24     INFO - TEST-OK | /accname/name/comp_name_from_content.html | took 1748ms

Hi Jamie, do you have a few minutes to look at this?

Thank you.

Flags: needinfo?(jteh)
Summary: Perma /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" when Gecko 127 merges to beta on 2024-05-13 → Perma /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" when Gecko 127 merges to beta on 2024-06-10
Summary: Perma /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" when Gecko 127 merges to beta on 2024-06-10 → Perma /accname/name/comp_name_from_content.html | button name from fallback content with ::before and ::after - assert_equals: <button data-expectedlabel="alt-before label alt-after" when Gecko 128 merges to beta on 2024-06-10
Assignee: nobody → aryx.bugmail
Status: NEW → ASSIGNED
Flags: needinfo?(jteh)
Severity: -- → S3
Pushed by jteh@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/14c24263d5ca
enable CSS alt text for comp_name_from_content.html. r=Jamie
Status: ASSIGNED → RESOLVED
Closed: 28 days ago
Resolution: --- → FIXED
Target Milestone: --- → 128 Branch

Fix verified in today's central as early beta simulation.

Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Created:
Updated:
Size: